KFileTreeViewItem Class Reference

`#include <kfiletreeviewitem.h>`

Inherits KListViewItem.

## Public Member Functions

| KFileTreeViewItem (KFileTreeViewItem *, KFileItem *, KFileTreeBranch *)
| KFileTreeViewItem (KFileTreeView *, KFileItem *, KFileTreeBranch *)
KFileTreeBranch * | branch () const
KFileItem * | fileItem () const
QString | path () const
KURL | url () const
bool | isDir () const
bool | alreadyListed () const
void | setListed (bool wasListed)

## Detailed Description

An item for a KFileTreeView that knows about its own KFileItem.

Definition at line 40 of file kfiletreeviewitem.h.

## Member Function Documentation

bool KFileTreeViewItem::alreadyListed | ( |  | ) | const

Returns
  if this directory was already seen by a KDirLister.

Definition at line 60 of file kfiletreeviewitem.cpp.

KFileTreeBranch* KFileTreeViewItem::branch | ( |  | ) | const

inline

Returns
  the KFileTreeBranch the item is sorted in.

Definition at line 50 of file kfiletreeviewitem.h.

KFileItem* KFileTreeViewItem::fileItem | ( |  | ) | const

inline

Returns
  the KFileItem the viewitem is representing.

Definition at line 55 of file kfiletreeviewitem.h.

bool KFileTreeViewItem::isDir | ( |  | ) | const

Returns
  if the item represents a directory

Definition at line 80 of file kfiletreeviewitem.cpp.

QString KFileTreeViewItem::path | ( |  | ) | const

Returns
  the path of the item.

Definition at line 75 of file kfiletreeviewitem.cpp.

void KFileTreeViewItem::setListed | ( | bool | wasListed | ) |

set the flag if the directory was already listed.

Definition at line 65 of file kfiletreeviewitem.cpp.

KURL KFileTreeViewItem::url | ( |  | ) | const

Returns
  the items KURL

Definition at line 70 of file kfiletreeviewitem.cpp.

The documentation for this class was generated from the following files:

- kfiletreeviewitem.h
- kfiletreeviewitem.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys